<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />

    <title>FrontEnd Developer Webinar - By M.H.Malek</title>

    <meta
      name="description"
      content="A framework for easily creating beautiful presentations using HTML"
    />
    <meta name="author" content="Hakim El Hattab" />

    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta
      name="apple-mobile-web-app-status-bar-style"
      content="black-translucent"
    />

    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="stylesheet" href="css/reset.css" />
    <link rel="stylesheet" href="css/reveal.css" />
    <link rel="stylesheet" href="css/theme/ReactConf.css" id="react-conf" />

    <!-- Theme used for syntax highlighting of code -->
    <link rel="stylesheet" href="lib/css/monokai.css" />

    <!-- Printing and PDF exports -->
    <script>
      var link = document.createElement("link");
      link.rel = "stylesheet";
      link.type = "text/css";
      link.href = window.location.search.match(/print-pdf/gi)
        ? "css/print/pdf.css"
        : "css/print/paper.css";
      document.getElementsByTagName("head")[0].appendChild(link);
    </script>

    <!--[if lt IE 9]>
      <script src="lib/js/html5shiv.js"></script>
    <![endif]-->
  </head>

  <body>
    <div class="reveal">
      <!-- Any section element inside of this container is displayed as a slide -->
      <div class="slides">
        <section
          data-background-image="images/poster-first-2.jpg"
          data-background-color="white"
        ></section>

        <section>
          <section class="rtl">
            <p>
              <small>
                چطوری خودمون رو
                <span class="pink">توسعه دهنده</span>
                <span class="pink">وب</span>
                بدونیم</small
              >
            </p>
          </section>
        </section>

        <!-- <section class="rtl" data-background-image="images/pwa-great-sec.png"></section> -->

        <section>
          <section>
            <h3 class="orange">
              <img src="images/backend-vs-front-end.jpg" width="500" />
              <p style="color: white;">
                Backend
                <small style="margin-top: 20px;" class="pink">Vs</small>
                FrontEnd
              </p>
            </h3>
          </section>

          <section class="fragments" data-background-color="white">
            <img src="images/backend-tools.png" width="500" />
          </section>

          <section
            class="fragments"
            data-transition="fade-right"
            data-background-color="white"
          >
            <img src="images/front-end.png" width="500" />
          </section>
          <section
            class="fragments"
            data-transition="fade-right"
            data-background-color="#dbe2e8"
          >
            <img src="images/full-stack-developer.jpg" width="500" />
          </section>
        </section>

        <!-- Web App manifest -->

        <section>
          <section class="rtl">
            <p>
              مهمترین‌مهارت‌های توسعه دهنده فرانت اند  
            </p>
            <div style="margin-top: 50px; display: flex;">
              <div class="fragment fade-right">
				<?xml version="1.0" ?><!DOCTYPE svg  PUBLIC '-//W3C//DTD SVG 1.1//EN'  'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'><svg style="margin-top: 33px;" enable-background="new 0 0 200 200" height="200px" version="1.1" viewBox="0 0 200 200" width="200px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
					<g   style=" transform: scale(5.2);" id="adaptive_responsive_design_1_"><g><g><path d="M1.5,20C1.224,20,1,19.776,1,19.5v-16C1,2.673,1.673,2,2.5,2h27C30.327,2,31,2.673,31,3.5V5     c0,0.276-0.224,0.5-0.5,0.5S30,5.276,30,5V3.5C30,3.225,29.775,3,29.5,3h-27C2.225,3,2,3.225,2,3.5v16C2,19.776,1.776,20,1.5,20z     " fill="white"/></g><path d="M16,31h-5.5c-0.276,0-0.5-0.224-0.5-0.5s0.224-0.5,0.5-0.5h1c0.827,0,1.5-0.673,1.5-1.5V26    c0-0.276,0.224-0.5,0.5-0.5S14,25.724,14,26v2.5c0,0.563-0.187,1.082-0.501,1.5H16c0.276,0,0.5,0.224,0.5,0.5S16.276,31,16,31z" fill="white"/><path d="M15.5,26h-13C1.673,26,1,25.327,1,24.5v-3C1,21.224,1.224,21,1.5,21h14c0.276,0,0.5,0.224,0.5,0.5    S15.776,22,15.5,22H2v2.5C2,24.775,2.225,25,2.5,25h13c0.276,0,0.5,0.224,0.5,0.5S15.776,26,15.5,26z" fill="white"/></g><g><g><g><path d="M21.5,9h5C26.776,9,27,8.776,27,8.5S26.776,8,26.5,8h-5C21.224,8,21,8.224,21,8.5S21.224,9,21.5,9z" fill="white"/></g></g><g><g><path d="M23.5,29h1c0.276,0,0.5-0.224,0.5-0.5S24.776,28,24.5,28h-1c-0.276,0-0.5,0.224-0.5,0.5      S23.224,29,23.5,29z" fill="white"/></g></g><path d="M28.5,31h-9c-1.379,0-2.5-1.121-2.5-2.5v-20C17,7.121,18.121,6,19.5,6h9C29.879,6,31,7.121,31,8.5v20    C31,29.879,29.879,31,28.5,31z M19.5,7C18.673,7,18,7.673,18,8.5v20c0,0.827,0.673,1.5,1.5,1.5h9c0.827,0,1.5-0.673,1.5-1.5v-20    C30,7.673,29.327,7,28.5,7H19.5z" fill="white"/></g></g></svg>
                <p style="width: 330px; margin: 30px 0; font-size: 19px;">
					دید مناسب از تجربه کاربری
					(UX)
                </p>
			  </div>
			  
			  <div class="fragment fade-right">
                <img
                  src="images/photoshop.png"
                  style="width: 200px;"
                />
                <p style="width: 330px; margin: 30px 0; font-size: 19px;">
					دید مناسب از طراحی رابط کاربری
					(UI)
                </p>
			  </div>
			  
			  <div class="fragment fade-right">
				<?xml version="1.0" ?><!DOCTYPE svg  PUBLIC '-//W3C//DTD SVG 1.1//EN'  'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'>
				<svg enable-background="new 0 0 300 300" height="231px" id="Icons" version="1.1" viewBox="0 0 64 64" width="200px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
					<g id="site_map" ><g><path d="M57,43h-6h-6c-1.1,0-2,0.9-2,2v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V45C59,43.9,58.1,43,57,43z M58,57    c0,0.552-0.448,1-1,1H45c-0.552,0-1-0.448-1-1V45c0-0.552,0.448-1,1-1h12c0.552,0,1,0.448,1,1V57z" fill="white"/><path d="M51,48c-1.657,0-3,1.344-3,3s1.343,3,3,3s3-1.344,3-3S52.657,48,51,48z M51,53c-1.103,0-2-0.897-2-2    s0.897-2,2-2s2,0.897,2,2S52.103,53,51,53z" fill="white"/><path d="M24,45v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V45c0-1.1-0.9-2-2-2h-6h-6C24.9,43,24,43.9,24,45z M38,44    c0.552,0,1,0.448,1,1v12c0,0.552-0.448,1-1,1H26c-0.551,0-1-0.448-1-1V45c0-0.552,0.449-1,1-1H38z" fill="white"/><path d="M32,54c1.657,0,3-1.344,3-3s-1.343-3-3-3s-3,1.344-3,3S30.343,54,32,54z M32,49c1.103,0,2,0.897,2,2    s-0.897,2-2,2c-1.103,0-2-0.897-2-2S30.897,49,32,49z" fill="white"/><path d="M5,45v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V45c0-1.1-0.9-2-2-2h-6H7C5.9,43,5,43.9,5,45z M19,44    c0.551,0,1,0.448,1,1v12c0,0.552-0.449,1-1,1H7c-0.551,0-1-0.448-1-1V45c0-0.552,0.449-1,1-1H19z" fill="white"/><path d="M53,33H34v-8h11c1.1,0,2-0.9,2-2V7c0-1.1-0.9-2-2-2H19c-1.1,0-2,0.9-2,2v16c0,1.1,0.9,2,2,2h11v8H11v8l2,2    l2-2v-4h15v4l2,2l2-2v-4h15v4l2,2l2-2V33z M19,24c-0.551,0-1-0.449-1-1V7c0-0.551,0.449-1,1-1h26c0.552,0,1,0.449,1,1v16    c0,0.551-0.448,1-1,1H34h-4H19z M52,40.586l-1,1l-1-1V37v-1h-1H34h-1v1v3.586l-1,1l-1-1V37v-1h-1H15h-1v1v3.586l-1,1l-1-1V34h18h1    v-1v-8h2v8v1h1h18V40.586z" fill="white"/><path d="M13,54c1.657,0,3-1.344,3-3s-1.343-3-3-3s-3,1.344-3,3S11.343,54,13,54z M13,49c1.103,0,2,0.897,2,2    s-0.897,2-2,2s-2-0.897-2-2S11.897,49,13,49z" fill="white"/><rect fill="white" height="1" width="20" x="22" y="19"/><rect fill="white" height="1" width="20" x="22" y="14"/><rect fill="white" height="1" width="20" x="22" y="9"/><g><g><path d="M17.5,57H9c-0.276,0-0.5-0.224-0.5-0.5S8.724,56,9,56h8.5c0.276,0,0.5-0.225,0.5-0.5V47      c0-0.276,0.224-0.5,0.5-0.5S19,46.724,19,47v8.5C19,56.327,18.327,57,17.5,57z" fill="white"/></g><g><path d="M43.5,23H35c-0.276,0-0.5-0.224-0.5-0.5S34.724,22,35,22h8.5c0.276,0,0.5-0.225,0.5-0.5V8      c0-0.276,0.224-0.5,0.5-0.5S45,7.724,45,8v13.5C45,22.327,44.327,23,43.5,23z" fill="white"/></g><g><path d="M36.5,57H28c-0.276,0-0.5-0.224-0.5-0.5S27.724,56,28,56h8.5c0.276,0,0.5-0.225,0.5-0.5V47      c0-0.276,0.224-0.5,0.5-0.5S38,46.724,38,47v8.5C38,56.327,37.327,57,36.5,57z" fill="white"/></g><g><path d="M55.5,57H47c-0.276,0-0.5-0.224-0.5-0.5S46.724,56,47,56h8.5c0.276,0,0.5-0.225,0.5-0.5V47      c0-0.276,0.224-0.5,0.5-0.5S57,46.724,57,47v8.5C57,56.327,56.327,57,55.5,57z" fill="white"/></g></g></g></g></svg>
                <p style="width: 330px; margin: 30px 0; font-size: 19px;">
					دید مناسب از برنامه نویسی و قدرت تحلیل مساله
                </p>
              </div>
               
            </div>
          </section>

    
        </section>

        <!-- Service Worker file -->
        <section>

          <section class="rtl">
            <p>تکنولوژی‌های توسعه فرانت‌اند</p>
          </section>

		  <section>
			<p class="orange">HTML & CSS & JavaScript</p> 
		  </section>

          <section>
			<p class="orange">JS tools</p>
			<p>React JS</p>
			<p>VUE JS</p>
			<p>Angular</p>
		  </section>
		  
          <section>
			<p  class="orange">CSS tools</p>
			<p>SASS</p>
			<p>LESS</p>
          </section>

          <section>
			<p class="orange">other</p> 
			<p>React Native</p>
			<p>Wordpress</p>
			<p>Drupal</p>
			<p>...</p>
		  </section>


        </section>

		<section>
			<section class="rtl">
			  <p>بازار کار و در آمد</p>
			</section>
  
			<section>
			  <p class="orange" style="margin-bottom: 20px;">بازار کار در ایران</p>
			  <p>جابینجا</p>
			  <p>ایران تلنت</p>
			  <p>کارلیب</p>
			  <p> ...</p>
			</section>
			<section>
			  <p class="orange" style="margin-bottom: 20px;">بازار کار در خارج ایران</p>
			  <p>Glassdoor</p>
			  <p>Stackoverflow job</p>
			  <p>Indeed</p>
			  <p>LinkedIn Jobs</p>
			  <p>...</p>
			</section>

			<section>
				<p class="orange" style="margin-bottom: 50px;">در آمد برنامه نویس فرانت اند در ایران</p>

					<p>از ۲.۵ میلیون تومان تا ۱۰ میلیون تومان</p>
			  </section>
			  <section>
				<p class="orange" style="margin-bottom: 50px;">در آمد برنامه نویس فرانت اند در خارج ایران</p>
				<p><span class="orange">Germany: </span><span>€51,847</span><span style="font-size: 11px;">/yr</span></p>
				<p><span class="orange">Netherlands: </span><span>€55,300</span><span style="font-size: 11px;">/yr</span></p>
				<p><span class="orange">Finland: </span><span>€3,100</span><span style="font-size: 11px;">/mo</span></p>
				<p><span class="orange">USA: </span><span>$89,044</span><span style="font-size: 11px;">/yr</span></p>
			  </section>
		  </section>
  

        <section>
          <ul>
            <li style="list-style-type: none; margin: 30px -30px;">
              - Read More About FrontEnd developement
            </li>
            <li>
              <a href="https://github.com/kamranahmedse/developer-roadmap"
                >Frontend developer RoadMap</a
              >
            </li>
          </ul>
          <div>
            <ul>
              <li style="list-style-type: none; margin: 30px -30px;">
                - images are from:
              </li>

              <li>
                <a href="https://www.toughlex.com/technologies/front-end/"
                  >toughlex</a
                >
              </li>
              <li>
                <a
                  href="https://www.peerbits.com/blog/hire-full-stack-developer.html"
                  >peerbits</a
                >
              </li>
              <li>
                <a
                  href="https://medium.com/educalabs/choosing-a-backend-tech-stack-in-2018-b415e5f436d3"
                  >a Medium article from educalabs</a
                >
			  </li>
			  <li>
                <a
                  href="https://www.iconfinder.com/search/?q=algorithm&price=free"
                  >Icons</a
                >
              </li>
            </ul>
          </div>
        </section>

        <section>
          <p class="rtl ">
           از اینکه همراه ما بودید ممنونیم!
		  </p>

		 
		</section>
		
		<section>
			<div style=" margin-top: 40px;">

				<p class="rtl">
				  <span class="pink"> Email</span> <span> : </span> <span> mhos.malek@gmail.com</span> 
				</p>
				<p>
				  <span class="pink"> LinkedIn</span> <span> : </span> <span> mhmalek </span> 
				 </p>
			  </div>
			</section>
      </div>
    </div>

    <script src="js/reveal.js "></script>

    <script>
      // More info https://github.com/hakimel/reveal.js#configuration
      Reveal.initialize({
        controls: true,
        progress: true,
        center: true,
        hash: false,
        transition: "convex", // none/fade/slide/convex/concave/zoom
        // More info https://github.com/hakimel/reveal.js#dependencies
        dependencies: [
          {
            src: "plugin/markdown/marked.js",
            condition: function () {
              return !!document.querySelector("[data-markdown]");
            },
          },
          {
            src: "plugin/markdown/markdown.js",
            condition: function () {
              return !!document.querySelector("[data-markdown]");
            },
          },
          {
            src: "plugin/highlight/highlight.js",
            async: true,
          },
          {
            src: "plugin/search/search.js",
            async: true,
          },
          {
            src: "plugin/zoom-js/zoom.js",
            async: true,
          },
          {
            src: "plugin/notes/notes.js",
            async: true,
          },
        ],
      });
    </script>
  </body>
</html>
